<!DOCTYPE html>
<!--
Format for summary taken from the following link with copyright information:
Copyright (c) 2017 by Joseph Victory (https://codepen.io/j-w-v/pen/DIcJx)

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
of the Software, and to permit persons to whom the Software is furnished to do
so, subject to the following conditions:
The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-->
<html >
    <head>
        <meta charset="UTF-8">
        <title>G-Cat Full Report</title>
        <link rel="stylesheet" href="res/css/summary.css">
        <link href="https://fonts.googleapis.com/css?family=Open+Sans|Raleway" rel="stylesheet">

        <script>var runOnLoad = function (c, o, d, e) {
                function x() {
                    for (e = 1; c.length; )
                        c.shift()()
                }
                o[d] ? (document[d]('DOMContentLoaded', x, 0), o[d]('load', x, 0)) : o.attachEvent('onload', x);
                return function (t) {
                    e ? o.setTimeout(t, 0) : c.push(t)
                }
            }([], window, 'addEventListener');</script>

        <script type="text/javascript" src="res/js/CollapsibleLists.src.js">

        </script>
        <script type="text/javascript">
            runOnLoad(function () {
                CollapsibleLists.apply(); });
        </script>
    </head>
    <body>
        <div id="container">
            <div class="whole">
                <div class="type">
                    <p>Previous</p>
                </div>
                <div class="plan">
                    <img src="res/images/prevImage.jpg" alt="">
                </div>
            </div>
            <div class="whole">
                <div class="type">
                    <p>Changes</p>
                </div>
                <div class="plan">
                    <img src="res/images/Changes-augmented.png" alt="">
                </div>
            </div>
            <div class="whole ">
                <div class="type">
                    <p>New</p>
                </div>
                <div class="plan">
                    <img src="res/images/newImage.jpg" alt="">
                </div>
            </div>
        </div>
        <div class="login_c">
            <div class="type login"><p>Summary</p></div>
            <div id="shortSummary">There were a few changes relative to the number of components in this release. These changes made moderate differences to the appearance of the GUI. There were text changes to components.</div>
        </div>
        <div class="login_c">
            <div class="type login">
              <p style="margin:0;float: left; width: 20%;">previous</p>
              <p style="margin:0; float: left; width: 60%;">Detailed Changes</p>
              <p style="margin:0; float: left; width: 20%;">new</p>
            </div>
            <div id="target">
                <dl>
                    <dt><a href = "#accordion1" aria-expanded = "false" aria-controls = "accordion1" class="accordion-title accordionTitle js-accordionTrigger">The TextView at location (204,224) has changed text from '0.2.4beta' to '0.2.5beta' </a> </dt> <dd class="accordion-content accordionItem is-collapsed" id = "accordion1" aria-hidden = "true"><div style="display: flex;"></div><img class="croppedImage" src="res/images/prev/463019490.jpg"></img><img class="croppedImage" src="res/images/new/1345161646.jpg"></img></dd><dt><a href = "#accordion1" aria-expanded = "false" aria-controls = "accordion1" class="accordion-title accordionTitle js-accordionTrigger">The TextView at location (40,458) has changed text from '
0.2.4
- Using now superuser/root to access /dev/hidg0 (USB HID device)
- Added setting to deactivate USB Keyboard output
- A lot of design adjustments, e.g. major rework of TreeView
- Added icons for password entries (shown in TreeView)
- Some merges with the original PasswdSafe for Android app 

0.2.3 - Design enhancements. 

0.2.0 - First release of Authorizer - a new app based on (a fork of) Passwd Safe for Android. 

0.1.0 - Authorizer Proof-of-Concept version. 

--------------------------------------------- 

Old PasswdSafe Release Notes: 

6.4.3 - Bug fixes. 

6.4.2 - Bug fixes. 

6.4.1 - Fix crash when opening file with saved password. Fix dark text in keyboard. Improve German translation. Show licenses in About screen. 

6.4.0 - Add option to save file passwords protected by a fingerprint scan on Android 6.0 and higher 

6.3.0 - Improve keyboard usability. Add basic keyboard keys for password entry. Support cycling between keyboards. 

6.2.0 - Allow a few retries for an invalid password when opening a file. Add menu items to copy URL and email fields. Use a font with a slashed zero for passwords. 

6.1.2 - Fix crash when opening preferences. Bug fixes. 

6.1.1 - Request storage permission if needed. Fix copy-and-paste bug. 

6.1.0 - Add preference to choose a dark theme. Improve French translation. Add long-press handlers to copy user names and passwords. 

6.0.2 - Improve German translation. Attempt a fix for permission denial error when opening files. 

6.0.1 - Add a menu option to copy the password to the clipboard with a warning 

6.0.0 - User interface rewrite for material design and tablet support 

5.4.0
- Add OneDrive support. After authenticating an account, choose the files to sync.
- Add record preference to sort groups before, after, or mixed with records 

5.3.2 - Use previous file chooser by default 

5.3.1 - Add help for enabling internal storage for the new chooser or enabling the legacy chooser. 

5.3.0 - Add slider to reveal parts of a password. On Kitkat and higher, use the built-in document manager to open or create files. 

5.2.0 - Add ownCloud support. Accounts are chosen from the list in the ownCloud app. Once access is authorized, password files can be chosen to sync. 

5.1.0 - Add multi-window support for Samsung devices. Enable selection of notes text. 

5.0.0 - YubiKey NEO support for devices with NFC 

4.7.3 - Maintain an open file when the app is launched from the home screen 

4.7.2 - Performance improvement when opening a file with many password iterations. 

4.7.1 - Fix crash with preferences 

4.7.0 - Add German translation 

4.6.0
- Attempt to detect read-only files on SD cards with Kitkat. Please send feedback if the detection is or is not working.
- Show the current password while editing for reference
- Show modification time of local files in file list 

4.5.0 - Add Box support with PasswdSafe Sync. Password files (.psafe3) are synced from the top folder and any folder tagged with 'passwdsafe'. 

4.4.0
- Add a password preference for the set of symbols to use by default in password policies
- The current group is set as the default for new records
- Synchronized files can be set as a default file 

4.3.0 - Show a file's folder. 

4.2.0 - An input method is available which can paste fields from the last selected password record. The input method must be enabled in the system settings before it can be used. 

To use:
- Select a record in PasswdSafe
- Open the app which will use the record's fields
- Switch to the PasswdSafe input method
- Select the fields to paste values into the app
- Select the PasswdSafe icon to choose a different record if needed
' to '
0.2.5 - New keyboard layouts and bug fixes. 

0.2.4
- Using now superuser/root to access /dev/hidg0 (USB HID device)
- Added setting to deactivate USB Keyboard output
- A lot of design adjustments, e.g. major rework of TreeView
- Added icons for password entries (shown in TreeView)
- Some merges with the original PasswdSafe for Android app 

0.2.3 - Design enhancements. 

0.2.0 - First release of Authorizer - a new app based on (a fork of) Passwd Safe for Android. 

0.1.0 - Authorizer Proof-of-Concept version. 

--------------------------------------------- 

Old PasswdSafe Release Notes: 

6.4.3 - Bug fixes. 

6.4.2 - Bug fixes. 

6.4.1 - Fix crash when opening file with saved password. Fix dark text in keyboard. Improve German translation. Show licenses in About screen. 

6.4.0 - Add option to save file passwords protected by a fingerprint scan on Android 6.0 and higher 

6.3.0 - Improve keyboard usability. Add basic keyboard keys for password entry. Support cycling between keyboards. 

6.2.0 - Allow a few retries for an invalid password when opening a file. Add menu items to copy URL and email fields. Use a font with a slashed zero for passwords. 

6.1.2 - Fix crash when opening preferences. Bug fixes. 

6.1.1 - Request storage permission if needed. Fix copy-and-paste bug. 

6.1.0 - Add preference to choose a dark theme. Improve French translation. Add long-press handlers to copy user names and passwords. 

6.0.2 - Improve German translation. Attempt a fix for permission denial error when opening files. 

6.0.1 - Add a menu option to copy the password to the clipboard with a warning 

6.0.0 - User interface rewrite for material design and tablet support 

5.4.0
- Add OneDrive support. After authenticating an account, choose the files to sync.
- Add record preference to sort groups before, after, or mixed with records 

5.3.2 - Use previous file chooser by default 

5.3.1 - Add help for enabling internal storage for the new chooser or enabling the legacy chooser. 

5.3.0 - Add slider to reveal parts of a password. On Kitkat and higher, use the built-in document manager to open or create files. 

5.2.0 - Add ownCloud support. Accounts are chosen from the list in the ownCloud app. Once access is authorized, password files can be chosen to sync. 

5.1.0 - Add multi-window support for Samsung devices. Enable selection of notes text. 

5.0.0 - YubiKey NEO support for devices with NFC 

4.7.3 - Maintain an open file when the app is launched from the home screen 

4.7.2 - Performance improvement when opening a file with many password iterations. 

4.7.1 - Fix crash with preferences 

4.7.0 - Add German translation 

4.6.0
- Attempt to detect read-only files on SD cards with Kitkat. Please send feedback if the detection is or is not working.
- Show the current password while editing for reference
- Show modification time of local files in file list 

4.5.0 - Add Box support with PasswdSafe Sync. Password files (.psafe3) are synced from the top folder and any folder tagged with 'passwdsafe'. 

4.4.0
- Add a password preference for the set of symbols to use by default in password policies
- The current group is set as the default for new records
- Synchronized files can be set as a default file 

4.3.0 - Show a file's folder. 

4.2.0 - An input method is available which can paste fields from the last selected password record. The input method must be enabled in the system settings before it can be used. 

To use:
- Select a record in PasswdSafe
- Open the app which will use the record's fields
- Switch to the PasswdSafe input method
- Select the fields to paste values into the app
- Select the PasswdSafe icon to choose a different record if needed
' </a> </dt> <dd class="accordion-content accordionItem is-collapsed" id = "accordion1" aria-hidden = "true"><div style="display: flex;"></div><img class="croppedImage" src="res/images/prev/2132852530.jpg"></img><img class="croppedImage" src="res/images/new/895208696.jpg"></img></dd><dt><a href = "#accordion1" aria-expanded = "false" aria-controls = "accordion1" class="accordion-title accordionTitle js-accordionTrigger">The TextView at location (204,291) has changed text from 'aa2b808' to '2164465' </a> </dt> <dd class="accordion-content accordionItem is-collapsed" id = "accordion1" aria-hidden = "true"><div style="display: flex;"></div><img class="croppedImage" src="res/images/prev/363166066.jpg"></img><img class="croppedImage" src="res/images/new/693321741.jpg"></img></dd><dt><a href = "#accordion1" aria-expanded = "false" aria-controls = "accordion1" class="accordion-title accordionTitle js-accordionTrigger">The TextView at location (204,345) has changed text from '12/21/2016 14:10:21 +0100' to '08/19/2017 14:41:29 +0200' </a> </dt> <dd class="accordion-content accordionItem is-collapsed" id = "accordion1" aria-hidden = "true"><div style="display: flex;"></div><img class="croppedImage" src="res/images/prev/1883104036.jpg"></img><img class="croppedImage" src="res/images/new/1992527564.jpg"></img></dd>
                </dl>
            </div>
        </div>
        <div>
            <div id="treeHeaderDiv" class="type login"><p>Maximum Common Spanning Tree</p></div>
            <ul id="commonTreeContainer" class="collapsibleList m-wrap" >
                <div id="commonTree">&zwnj;</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 0,0 Type(class): FrameLayout ID:  Name:  Type(class): FrameLayout Rectangle: 1200,1824
</span><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 0,48 Type(class): ViewGroup ID: net.tjado.passwdsafe:id/decor_content_parent Name:  Type(class): ViewGroup Rectangle: 1200,1776
</span><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 0,48 Type(class): ViewGroup ID: net.tjado.passwdsafe:id/action_bar Name:  Type(class): ViewGroup Rectangle: 1200,128
<ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 16,48 Type(class): ImageButton ID:  Name:  Type(class): ImageButton Rectangle: 112,128
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 160,85 Type(class): TextView ID:  Name: About - Authorizer Type(class): TextView Rectangle: 327,54
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 32,208 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,1584
<ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 32,208 Type(class): ViewGroup ID:  Name:  Type(class): ViewGroup Rectangle: 1136,183
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 40,216 Type(class): TextView ID:  Name: Version Type(class): TextView Rectangle: 148,59
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 40,291 Type(class): TextView ID:  Name: Build ID Type(class): TextView Rectangle: 95,38
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 40,345 Type(class): TextView ID:  Name: Build date Type(class): TextView Rectangle: 124,38
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 40,399 Type(class): TextView ID: net.tjado.passwdsafe:id/release_notes_title Name: Release Notes Type(class): TextView Rectangle: 1120,59
</li></ul></li></ul></li></ul></li><div class="buffer"></div>
            </ul>
        </div>
        <div class="summary-button">
            <a id="treeNav" href="Difference-Tree.html">View Trees</a>
        </div>
    </body>
    <script src="res/js/cloudflare.min.js"></script>
    <script  src="res/js/index.js"></script>
</html>
